I'm new to catia vb hoping theirs someone that can help me. I found this script that works for me except for to things. One it errors out if there is a multiple bodies with the same name and i need the body color of the initial body copied. below is the code.
Dim KomponenteNeu As Products
Dim...
Ok what I am trying to accomplish is creating a component or instance only attribute named "Order".
with the top level being numbered "1" then going down to the next component want to know if there is a parent if there is I want to read that order value and increment to the next number "2" and...
I have started a vb where it runs through each part in a assembly and changes the color. I have run into a problem I need to create a different color for each part. Also I need the color to the actual part not just the color in the assembly. Below you'll find the code that I have started. PLEASE...
What I'm to accomplish is I want to have my assembly open and one by one select the 1st part and make it the work part.then run piece of my journal and save. Then select the next part and do the same and etc.
I have started a vb where it runs through each part in a assembly and changes the color. I have run into a problem I need to create a different color for each part. Also I need the color to the actual part not just the color in the assembly. Below you'll find the code that I have started...
I have a SaveAs script that works. But Im having a hard time figuring out how to get it to loop through all the catia files to a folder?
Sub CATMain()
'Retrive the active document
Dim Doc As document
Set Doc = CATIA.Activedocument
Const WINDOW_HANDLE = 0
Const NO_OPTIONS = 0
Set objShell...
I have written and modifed vb scripts to create step files within UG. Now I would like to go a few steps futher and create and bat file or a powershell script to open and run one of the stand alone translators.
I am need of some direction or information that would head me in the write direction.
I have a vb script that creates a image file of the screen. But when I run the script it rewrites the file. What I would like to do is create a new file and add a incremental digit at the end. I have been trying for weeks with no dice. Is there anyone out there that can help?
I need some assistance completing this journal file that saves the info txt file to the working folder. attached is the code i have so far.
Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.UF
Module Module1
Sub Main()
Dim theSession As Session =...
I have this journal file that translates parts to step. but when i try to translate an assemble file with surfaces in it and on layer 0 they do not show. Can someone help! Below is the code i have so far.
'Purpose: automate STEP export of the following entities:
'Layer 1 - Solids
'Layer 4 -...
I have a journal file creates an image with a unique file name. I what I want to do is when the journal file is ran for the 2nd time I need the file name to create a (1) and increments (2) (3) and so one. Below is the code I have been working with if i could get some help, I would greatly...
I have a need to export a BOM from the Assembly Navigator. I currently export in to a browser and print from there. I would like to control some of those clicks by a journal file. At least the Expand all and export to browser. I there any assistance out there that can help?
I found a vb file on here that supplies me with xyz data for all points. I want to filter the selection of type of points by a type or feature name(welding objects). Attached you'll find the vb file and images of the feature i want to filter.
' NX 7.5.0.32
' eng-tips thread561-314774
' return...
In this piece of code the output file goes to the folder where the .prt file is located.
Dim theSession As Session = Session.GetSession()
Dim ufs As UFSession = UFSession.GetUFSession()
Dim workPart As Part = theSession.Parts.Work
Dim outputPath As String =...
I have 5 journal files that I would like to join together. run into errors when I attempt to do so.
Journal file #1: Changes all faces to color 103
Journal file #2: allows you to select certain faces and changes them to the color RED.
Journal file #3: allows you to select certain faces and...
I have been trying for weeks now to write a journal file that wille select all the spotweld points and input them into a txt file or a excel sheet, but having no luck. I there anyone out the that can help? I am using UGNX 8.
I'm in need of assistance. I currently have a journal file that selects all faces and changes the color to 103. I now need to modify this journal file to have a select certain faces via user input ex. "Select objects". Is there anyone out there that can assist me with this or have any...